package comms

import (
	"log"
	"time"
)

func SendSessionInfo(commChannel CommChannel) {
	err := commChannel.Encoder.Encode(ConvergeMessage{Value: NewSessionInfo()})
	if err != nil {
		log.Printf("Encoding error %v", err)
	}
}

func SendExpiryTimeUpdate(commChannel CommChannel, expiryTime time.Time) {
	err := commChannel.Encoder.Encode(ConvergeMessage{Value: NewExpiryTimeUpdate(expiryTime)})
	if err != nil {
		log.Printf("Encoding error %v", err)
	}
}
